Delete a pool
Phone pools
Delete a pool
Its numbers stay yours and keep answering. A pool a campaign or an agent still calls from can’t be deleted: 409 pool_in_use names them.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request DELETE \
--url https://sandbox.voice.miraiminds.co/v2/phone-pools/{pool_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/phone-pools/{pool_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/phone-pools/{pool_id}';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "ppl_01K9V2C4E6G8J0M2P4R6T8W0Y2",
"object": "phone_pool",
"deleted": true
}{
"error": {
"code": "pool_in_use",
"message": "Outreach is used by campaigns Diwali order confirmation and agents COD confirm; move them to another pool or number first"
}
}Its numbers stay yours and keep answering. A pool a campaign or an agent still calls from can’t be deleted: 409 pool_in_use names them.
curl --request DELETE \
--url https://sandbox.voice.miraiminds.co/v2/phone-pools/{pool_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/phone-pools/{pool_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/phone-pools/{pool_id}';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "ppl_01K9V2C4E6G8J0M2P4R6T8W0Y2",
"object": "phone_pool",
"deleted": true
}{
"error": {
"code": "pool_in_use",
"message": "Outreach is used by campaigns Diwali order confirmation and agents COD confirm; move them to another pool or number first"
}
}